Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Interface JellyBean

public interface JellyBean
extends BasicBean

This is an item that has the special characteristics of a Jelly Bean.

     Primary Key = examples.buybeans.item.JellyBeanPk

                      gourmet
     [JellyBean] <*>------> [boolean]

                      sugarfree
     [JellyBean] <*>------> [boolean]

See Also:
  `JellyBeanPk`, `JellyBeanHome`, `JellyBeanImpl`, `JellyBeanValue`

Method Summary
`boolean` | `getGourmet()` Get the value of gourmet
`JellyBeanValue` | `getJellyBeanByValue()` Get all of JellyBean's attributes.
`boolean` | `getSugarfree()` Get the value of sugarfree
`void` | `setGourmet(boolean gourmet)` Set the value of gourmet
`void` | `setJellyBeanByValue(JellyBeanValue value)` Set all of JellyBean's attributes to the passed in value.
`void` | `setSugarfree(boolean sugarfree)` Set the value of sugarfree

Methods inherited from interface examples.buybeans.item.BasicBean
`getBasicBeanByValue, getCustomerRating, getFullDescription, setBasicBeanByValue, setCustomerRating, setFullDescription`

Methods inherited from interface theory.smart.ebusiness.item.Item
`addFirstQuality, addLastQuality, addQualities, addQualities, addQuality, addQuality, calculatePrice, calculatePrice, containsQuality, getDefaultItemPriceCalculationPolicy, getDescription, getFirstQuality, getIdentifier, getItemByValue, getLastQuality, getNumberOfQualities, getPrice, getQualities, getQualities, getQuality, getSupplier, getVersion, indexOfQuality, isQualitiesEmtpy, lastIndexOfQuality, removeAllQualities, removeFirstQuality, removeLastQuality, removeQuality, removeQuality, setDefaultItemPriceCalculationPolicy, setDescription, setItemByValue, setPrice, setQuality`

Methods inherited from interface theory.smart.foundation.ConfigurableEntity
`setSuccessorAtClassLevel, setSuccessorAtInstanceLevel`

Methods inherited from interface theory.smart.foundation.Configurable
`addProperty, getProperty, removeProperty`

Methods inherited from interface theory.smart.foundation.BusinessPolicyManager
`addBusinessPolicy, getBusinessPolicy, removeBusinessPolicy`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getJellyBeanByValue

    public JellyBeanValue getJellyBeanByValue()
                                       throws java.rmi.RemoteException

  Get all of JellyBean's attributes.
  Returns:
    JellyBeanValue the JellyBean value object

### setJellyBeanByValue

    public void setJellyBeanByValue(JellyBeanValue value)
                             throws java.rmi.RemoteException

  Set all of JellyBean's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `JellyBeanValue` - the JellyBean value object

### getGourmet

    public boolean getGourmet()
                       throws java.rmi.RemoteException

  Get the value of gourmet
  Returns:
    gourmet.

### setGourmet

    public void setGourmet(boolean gourmet)
                    throws java.rmi.RemoteException

  Set the value of gourmet
  Parameters:
    `gourmets` - gourmet to be added

### getSugarfree

    public boolean getSugarfree()
                         throws java.rmi.RemoteException

  Get the value of sugarfree
  Returns:
    sugarfree.

### setSugarfree

    public void setSugarfree(boolean sugarfree)
                      throws java.rmi.RemoteException

  Set the value of sugarfree
  Parameters:
    `sugarfrees` - sugarfree to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.